POST api/Customer/Edit
Request Information
URI Parameters
None.
Body Parameters
base_customer| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| username | string |
None. |
|
| userpwd | string |
None. |
|
| dept_id | integer |
None. |
|
| name | string |
None. |
|
| type | string |
None. |
|
| status | integer |
None. |
|
| signdate | date |
None. |
|
| enddate | date |
None. |
|
| hetong | string |
None. |
|
| fee_type | string |
None. |
|
| ccf_type | string |
None. |
|
| ccf_area | integer |
None. |
|
| ccf_area_price | decimal number |
None. |
|
| pbdbf | decimal number |
None. |
|
| jhf | decimal number |
None. |
|
| fee_rules | string |
None. |
|
| addtime | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"username": "sample string 2",
"userpwd": "sample string 3",
"dept_id": 4,
"name": "sample string 5",
"type": "sample string 6",
"status": 1,
"signdate": "2026-03-26T14:27:11.1912357+08:00",
"enddate": "2026-03-26T14:27:11.1912357+08:00",
"hetong": "sample string 9",
"fee_type": "sample string 10",
"ccf_type": "sample string 11",
"ccf_area": 12,
"ccf_area_price": 13.1,
"pbdbf": 14.1,
"jhf": 15.1,
"fee_rules": "sample string 16",
"addtime": "2026-03-26T14:27:11.1912357+08:00"
}
multipart/form-data
Sample:
<base_customer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Model"><addtime>2026-03-26T14:27:11.1912357+08:00</addtime><ccf_area>12</ccf_area><ccf_area_price>13.1</ccf_area_price><ccf_type>sample string 11</ccf_type><dept_id>4</dept_id><enddate>2026-03-26T14:27:11.1912357+08:00</enddate><fee_rules>sample string 16</fee_rules><fee_type>sample string 10</fee_type><hetong>sample string 9</hetong><id>1</id><jhf>15.1</jhf><name>sample string 5</name><pbdbf>14.1</pbdbf><signdate>2026-03-26T14:27:11.1912357+08:00</signdate><status>1</status><type>sample string 6</type><username>sample string 2</username><userpwd>sample string 3</userpwd></base_customer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>